Search Company By ID
Introduction
The API allows users to retrieve detailed information about a particular company. The response includes a wide range of information about the company, including its name, address, financial summary, officers, filings, industry codes, and more. This information can be used for various purposes, such as due diligence, risk assessment, and compliance checks.
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../globalbusinessesv2' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetchEntitybyId",
"essentials": {
"country": "...country...",
"state": "...state...",
"entityId": "...entityId..."
}
}'Parameter | Description | Data Type | Required |
|---|---|---|---|
country | The country in which the entity is located. | string | yes |
state | The state in which the entity is located. | string | yes |
entityId | The unique identifier of the entity to be fetched. | string | yes |
The Supported Country Codes are listed below
Country Code | Country Name |
|---|---|
AE | United Arab Emirates |
AL | Albania |
AU | Australia |
AW | Aruba |
BB | Barbados |
BD | Bangladesh |
BE | Belgium |
BG | Bulgaria |
BH | Bahrain |
BL | Saint Barthélemy |
BM | Bermuda |
BO | Bolivia |
BR | Brazil |
BS | Bahamas |
BY | Belarus |
BZ | Belize |
CA | Canada |
CH | Switzerland |
CW | Curacao |
CY | Cyprus |
CZ | Czech Republic |
DE | Germany |
DK | Denmark |
DO | Dominican Republic |
ES | Spain |
FI | Finland |
FR | Réunion |
FR | France |
GB | United Kingdom |
GF | French Guiana |
GG | Guernsey |
GI | Gibraltar |
GL | Greenland |
GP | Guadeloupe |
GR | Greece |
HK | Hong Kong |
HR | Croatia |
IE | Ireland |
IL | Israel |
IM | Isle of Man |
IN | India |
IR | Iran |
IS | Iceland |
JE | Jersey |
JM | Jamaica |
JP | Japan |
KH | Cambodia |
LI | Liechtenstein |
LU | Luxembourg |
LV | Latvia |
MD | Moldova |
ME | Montenegro |
MF | Saint Martin |
MM | Myanmar |
MQ | Martinique |
MT | Malta |
MU | Mauritius |
MX | Mexico |
MY | Malaysia |
NL | Netherlands |
NO | Norway |
NZ | New Zealand |
PA | Panama |
PK | Pakistan |
PL | Poland |
PM | Saint Pierre and Miquelon |
PR | Puerto Rico |
PT | Portugal |
RO | Romania |
RW | Rwanda |
SE | Sweden |
SG | Singapore |
SI | Slovenia |
SK | Slovakia |
TH | Thailand |
TJ | Tajikistan |
TN | Tunisia |
TO | Tonga |
TZ | Tanzania |
UA | Ukraine |
UG | Uganda |
US | United States of America |
VN | Viet Nam |
VU | Vanuatu |
YT | Mayotte |
ZA | South Africa |
The Supported State Codes for US are listed below
State Code | State Name |
|---|---|
AK | Alaska |
AL | Alabama |
AR | Arkansas |
AZ | Arizona |
CA | California |
CO | Colorado |
CT | Connecticut |
DC | District of Columbia |
DE | Delaware |
FL | Florida |
GA | Georgia |
HI | Hawaii |
IA | Iowa |
ID | Idaho |
IN | Indiana |
KS | Kansas |
KY | Kentucky |
LA | Louisiana |
MA | Massachusetts |
MD | Maryland |
ME | Maine |
MN | Minnesota |
MO | Missouri |
MS | Mississippi |
MT | Montana |
NC | North Carolina |
ND | North Dakota |
NE | Nebraska |
NH | New Hampshire |
NJ | New Jersey |
NM | New Mexico |
NV | Nevada |
NY | New York |
OH | Ohio |
OK | Oklahoma |
OR | Oregon |
PA | Pennsylvania |
RI | Rhode Island |
SC | South Carolina |
SD | South Dakota |
TN | Tennessee |
TX | Texas |
UT | Utah |
VA | Virginia |
VT | Vermont |
WA | Washington |
WI | Wisconsin |
WV | West Virginia |
WY | Wyoming |
The Supported State Codes for CA are listed below
State Code | State Name |
|---|---|
NB | New Brunswick |
NL | Newfoundland and Labrador |
NS | Nova Scotia |
PE | Prince Edward Island |
QC | Quebec |
The Supported State Codes for AE are listed below
State Code | State Name |
|---|---|
AZ | Abu Dhabi (UAE) |
DU | Dubai (UAE) |
The Supported State Codes for FR are listed below
State Code | State Name |
|---|---|
RE | Reunion |
Sample Response
{
"result": {
"company": {
"companyName": "...companyName...",
"businessId": "...businessId...",
"country": "...country...",
"state": "...state...",
"companyAddressDetails": "...companyAddressDetails...",
"companyAddress": {
"companyStreetAddress": "...companyStreetAddress...",
"companyLocality": "...companyLocality...",
"companyRegion": "...companyRegion...",
"companyPostalCode": "...companyPostalCode...",
"companyCountry": "...companyCountry..."
},
"currentCompanyStatus": "...currentCompanyStatus...",
"incorporationDate": "...incorporationDate...",
"isInactive": "...isInactive...",
"dissolutionDate": "...dissolutionDate...",
"companyType": "...companyType...",
"registryUrl": "...registryUrl...",
"numberOfEmployees": "...numberOfEmployees...",
"previousNames": [{
"companyPreviousName": "...companyPreviousName...",
"startDate": "...startDate...",
"endDate": "...endDate..."
}],
"alternateEntities": [{
"alternateEntityCompanyName": "...alternateEntityCompanyName...",
"alternateEntityCountry": "...alternateEntityCountry...",
"alternateEntityState": "...alternateEntityState...",
"alternateEntityBusinessId": "...alternateEntityBusinessId..."
}],
"previousEntities": [{
"previousEntityCompanyName": "...previousEntityCompanyName...",
"previousEntityCountry": "...previousEntityCountry...",
"previousEntityState": "...previousEntityState...",
"previousEntityBusinessId": "...previousEntityBusinessId..."
}],
"subsequentEntities": [{
"subsequentEntityCompanyName": "...subsequentEntityCompanyName...",
"subsequentEntityCountry": "...subsequentEntityCountry...",
"subsequentEntityState": "...subsequentEntityState...",
"subsequentEntityBusinessId": "...subsequentEntityBusinessId..."
}],
"companyIdentifiers": [{
"uid": "...uid...",
"identifierSystemCode": "...identifierSystemCode...",
"identifierSystemName": "...identifierSystemName..."
}],
"companyFinancialSummary": {
"profit": "...profit...",
"revenue": "...revenue...",
"cashInBank": "...cashInBank...",
"assets": [...assets...],
"currentLiabilities": "...currentLiabilities...",
"accountsDate": "...accountsDate...",
"fixedAssets": "...fixedAssets...",
"accountsType": "...accountsType...",
"currency": "...currency..."
},
"controllingEntity": {
"companyName": "...companyName...",
"companyCountry": "...companyCountry...",
"companyState": "...companyState...",
"companyBusinessId": "...companyBusinessId..."
},
"ultimateBeneficialOwners": [{
"name":"...name..."
}],
"homeCompany": {
"homeCompanyName": "...homeCompanyName...",
"homeCompanyCountry": "...homeCompanyCountry...",
"homeCompanyState": "...homeCompanyState...",
"homeCompanyBusinessId": "...homeCompanyBusinessId..."
},
"companyBranch": "...companyBranch...",
"companyBranchStatus": "...companyBranchStatus...",
"companyOfficers": [{
"officerId": "...officerId...",
"officerName": "...officerName...",
"officerPosition": "...officerPosition...",
"officerUid": "...officerUid...",
"officerStartDate": "...officerStartDate...",
"officerEndDate": "...officerEndDate...",
"officerOccupation": "...officerOccupation...",
"officerIsInActive": "...officerIsInActive...",
"officerCurrentStatus": "...officerCurrentStatus...",
"officerAddress": "...officerAddress...",
"officerNationality": "...officerNationality...",
"officerDob": "...officerDob..."
}],
"corporateGroupings": [{
"companyGroupingName": "...companyGroupingName..."
}],
"dataSource": "...dataSource...",
"dataRetrievalDate": "...dataRetrievalDate...",
"filings": [{
"filingId": "...filingId...",
"filingTitle": "...filingTitle...",
"filingDescription": "...filingDescription...",
"filingUid": "...filingUid...",
"filingCode": "...filingCode...",
"filingName": "...filingName...",
"filingDate": "...filingDate..."
}],
"industryCodes": [{
"industryCodeDescription": "...industryCodeDescription...",
"industryCodeScheme": "...industryCodeScheme..."
}]
}
}
}Parameter Name | Description | Data Type |
|---|---|---|
result | The main object containing all the information about the company. | object |
companyName | The name of the company. | string |
businessId | The business identifier of the company. | string |
country | The country in which the company is registered. | string |
state | The state or province in which the company is registered. | string |
companyAddressDetails | The full address of the company. | string |
companyAddress | An object containing the various components of the company's address. | object |
companyStreetAddress | The street address of the company. | string |
companyLocality | The locality (city or town) in which the company is located. | string |
companyRegion | The region (county or district) in which the company is located. | string |
companyPostalCode | The postal code of the company's address. | string |
companyCountry | The country in which the company is located. | string |
currentCompanyStatus | The current status of the company. | string |
incorporationDate | The date on which the company was incorporated. | string |
isInactive | Indicates whether the company is currently inactive. | string |
dissolutionDate | The date on which the company was dissolved, if applicable. | string |
companyType | The type of company, such as "limited liability" or "corporation". | string |
registryUrl | The URL of the registry where the company is registered. | string |
numberOfEmployees | The number of employees of the company. | string |
previousNames | An array of objects containing information about the previous names of the company. | array of objects |
companyPreviousName | The previous name of the company. | string |
startDate | The date on which the previous name became effective. | string |
endDate | The date on which the previous name ceased to be effective. | string |
alternateEntities | An array of objects containing information about alternate entities of the company. | array of objects |
alternateEntityCompanyName | The name of the alternate entity. | string |
alternateEntityCountry | The country in which the alternate entity is registered. | string |
alternateEntityState | The state or province in which the alternate entity is registered. | string |
alternateEntityBusinessId | The business identifier of the alternate entity. | string |
previousEntities | An array of objects containing information about the previous entities of the company. | array of objects |
previousEntityCompanyName | The name of the previous entity | string |
Parameter Name | Description | Data Type |
|---|---|---|
result | The main object containing all the information about the company. | object |
companyName | The name of the company. | string |
businessId | The business identifier of the company. | string |
country | The country in which the company is registered. | string |
state | The state or province in which the company is registered. | string |
companyAddressDetails | The full address of the company. | string |
companyAddress | An object containing the various components of the company's address. | object |
companyStreetAddress | The street address of the company. | string |
companyLocality | The locality (city or town) in which the company is located. | string |
companyRegion | The region (county or district) in which the company is located. | string |
companyPostalCode | The postal code of the company's address. | string |
companyCountry | The country in which the company is located. | string |
currentCompanyStatus | The current status of the company. | string |
incorporationDate | The date on which the company was incorporated. | string |
isInactive | Indicates whether the company is currently inactive. | string |
dissolutionDate | The date on which the company was dissolved, if applicable. | string |
companyType | The type of company, such as "limited liability" or "corporation". | string |
registryUrl | The URL of the registry where the company is registered. | string |
numberOfEmployees | The number of employees of the company. | string |
previousNames | An array of objects containing information about the previous names of the company. | array of objects |
companyPreviousName | The previous name of the company. | string |
startDate | The date on which the previous name became effective. | string |
endDate | The date on which the previous name ceased to be effective. | string |
alternateEntities | An array of objects containing information about alternate entities of the company. | array of objects |
alternateEntityCompanyName | The name of the alternate entity. | string |
alternateEntityCountry | The country in which the alternate entity is registered. | string |
alternateEntityState | The state or province in which the alternate entity is registered. | string |
alternateEntityBusinessId | The business identifier of the alternate entity. | string |
previousEntities | An array of objects containing information about the previous entities of the company. | array of objects |
previousEntityCompanyName | The name of the previous entity | string |
previousEntityCountry | The country in which the previous entity was registered. | string |
|---|---|---|
previousEntityState | The state or province in which the previous entity was registered. | string |
previousEntityBusinessId | The business identifier of the previous entity. | string |
subsequentEntities | An array of objects containing information about the subsequent entities of the company. | array of objects |
subsequentEntityCompanyName | The name of the subsequent entity. | string |
subsequentEntityCountry | The country in which the subsequent entity is registered. | string |
subsequentEntityState | The state or province in which the subsequent entity is registered. | string |
subsequentEntityBusinessId | The business identifier of the subsequent entity. | string |
companyIdentifiers | An array of objects containing information about the various identifiers associated with the company. | array of objects |
uid | The unique identifier of the identifier. | string |
identifierSystemCode | The code of the system that issued the identifier. | string |
identifierSystemName | The name of the system that issued the identifier. | string |
companyFinancialSummary | An object containing financial summary information about the company. | object |
profit | The profit of the company. | string |
revenue | The revenue of the company. | string |
cashInBank | The amount of cash held by the company in bank accounts. | string |
assets | An array containing information about the assets of the company. | array |
currentLiabilities | The current liabilities of the company. | string |
accountsDate | The date of the accounts. | string |
fixedAssets | The fixed assets of the company. | string |
accountsType | The type of accounts. | string |
currency | The currency used for the financial summary information. | string |
controllingEntity | An object containing information about the controlling entity of the company. | object |
homeCompany | An object containing information about the home company of the company. | object |
companyBranch | Indicates whether the company is a branch of another company. | string |
companyBranchStatus | The status of the company branch. | string |
companyOfficers | An array of objects containing information about the officers of the company. | array of objects |
officerId | The identifier of the officer. | string |
officerName | The name of the officer. | string |
officerPosition | The position held by the officer in the company. | string |
officerUid | The officer uid | string |
officerStartDate | The date on which the officer began their current role. | string |
|---|---|---|
officerEndDate | The date on which the officer's current role ended. | string |
officerOccupation | The occupation of the officer. | string |
officerIsInActive | Indicates whether the officer is currently active. | string |
officerCurrentStatus | The current status of the officer. | string |
officerAddress | The address of the officer. | string |
officerNationality | The nationality of the officer. | string |
officerDob | The date of birth of the officer. | string |
corporateGroupings | An array of objects containing information about the corporate groupings to which the company belongs. | array of objects |
companyGroupingName | The name of the corporate grouping. | string |
ultimateBeneficialOwners | An array of objects containing information about the ultimate beneficial owners of the company. | array of objects |
name | The name of the ultimate beneficial owner. | string |
dataSource | The source of the data. | string |
dataRetrievalDate | The date on which the data was retrieved. | string |
filings | An array of objects containing information about the filings associated with the company. | array of objects |
filingId | The identifier of the filing. | string |
filingTitle | The title of the filing. | string |
filingDescription | The description of the filing. | string |
filingUid | The unique identifier of the filing. | string |
filingCode | The code associated with the filing. | string |
filingName | The name of the filing. | string |
filingDate | The date on which the filing was submitted. | string |
industryCodes | An array of objects containing information about the industry codes associated with the company. | array of objects |
industryCodeDescription | The description of the industry code. | string |
industryCodeScheme | The scheme under which the industry code was assigned. | string |
Error Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
error | This parameter contains the error. |
error.statusCode | Request Status code from Signzy |
error.name | the name of the error |
error.message | the error message |
type | type of the error   |
CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].